Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: João Távora <[email-masked]>
Date: Thu, 10 Nov 2022 11:00:18 +0000

Eli Zaretskii <[email-masked]> writes:

> Ping!  João, any comments on this patch?

Hi Eli, thanks for pinging.  Yes, had a look and _both_ patches look
fine.

The first patch touches a sensitive part.  I hoped at this point to have
Eglot's automated test running in Emacs's repo, but I don't.  So I trust
Danny has given some minimal testing to this, hopefully also with some
other server, for good measure.

The second patch is a little riskier because it has the potential to
cause much warning noise, but I'd wait and see what it does in the wild.
If it does happen I think we have some means of toning down warnings
without making package's warning logic too complex.

So again, both patches should be pushed.  I'm in the middle of a
bisection here, so if you can commit and push the patches, I'd be
thankful.  Else, I will attend to that later.

João